Desktop Pizazz Online Help

Introduction to the Online Help System

Using the Online Help System


Introduction to the Online Help System

The Desktop Pizazz Online Help System gives you information about all aspects of Desktop Pizazz.

While this help file does describe the general functionality of plug-in modules, you should consult the separate help system for the module to learn about its specific functionality. You can view that help file from either the "Help" button on the "About" page for the module itself, or from the icon provided in your installed Desktop Pizazz folder.


Using the Online Help System

The Desktop Pizazz Online Help System uses the new Microsoft HTML Help "tri-pane" format to display information. The help window is broken into three sections called panes.

The left pane is for navigation and contains tabs to let you use Contents, Index, or Search techniques to get to topics you need. The right pane displays the current topic. The third pane, which is actually the button bar at the top of the help window, contains buttons that allow you to hide or show the navigation pane, go back to the previous topic, or print topics.

Contents

The Contents tab shows the main sections of the Desktop Pizazz Online Help System as book icons. When you click a book, it expands to show a list of all topics contained in that section, like chapters in hard copy books.

To display a topic from the Contents

  1. Click the Contents tab to display the Table of Contents.
  2. Click the book icon representing the area in which you need information.
  3. The page icons below each book represent topics in that area.
  4. Click the page icon for the topic you want.

Index

The index is an alphabetical listing of keywords found in each topic. A single keyword may be linked to more than one topic. You may type the first few letters of a subject to jump to an index entry that matches what you are looking for.

To display a topic from the Index

  1. Click the Index tab to display the Help Index.
  2. In the form at the top of the Index, type the subject you need to find, or scroll through the alphabetical list to find the term for which you need information.
  3. Click the term, then click Display to see the topic for that term, or double-click the term to see its topic. The topic displays in the right pane and may show links to related topics.

Full-Text Search

The Online Help System contains a full-text search engine that creates a database of every word in the help system. You can use the Search tab to find the help topics for any word or phrase.

To display a topic from the Search

  1. Click the Search tab to conduct a full-text search.
  2. Enter the word or phrase for which you want to search, then click List Topics.
  3. All topics containing your entry are listed.
  4. Scroll through the list to find the topic you want.
  5. Click the topic name, then click Display, or double-click the topic name to see the topic.


Desktop Pizazz TOC

Desktop Pizazz

Introduction

Using Desktop Pizazz

Loading Modules

Changing Options

Known limitations


Desktop Pizazz Introduction

Introduction

This program was born out of a desire to add some interest to an aspect of the Windows environment that has been relatively drab... the desktop. Some people dress up their desktop background with wallpaper or imagery. While this goes a long way in making their work environment more interesting, it still remains a static, uneventful display. Life needs to be more interesting!

Desktop Pizazz attempts to remedy this condition by actually drawing directly onto the Windows desktop. Rather than just displaying a static image, it fills your desktop with animated, evolving displays. As you work or play on your computer on a day to day basis, you will see things happening on your desktop. Whether you're surfing the internet, contemplating your email, or planning your day's activities, you can momentarily turn your attention to your desktop for inspiration or distraction.

One concise way of thinking of Desktop Pizazz is as a screen saver for your desktop background. The main difference being that while screen savers activate after a period of no activity and take over your display, Desktop Pizazz is always active and shares your display with you.

The philosophy

A big consideration in the program's design was to be as "low-key" as possible in using your computer's processing power. Desktop Pizazz only animates its display during idle times when your computer is not performing any other calculations. And it attempts to keep its activity at minimal levels to ensure it won't interfere with your own activities.

"Plugged In"

Desktop Pizazz uses a modular component design, allowing different pieces to be "plugged in" to the program to provide for different content. A plug-in, or module, contains specific images and behavior that make each one unique. An example of a module could be an aquarium, where fish swim about and bubbles rise to the surface. This module could be loaded whenever desired, and various aspects of the display and activity could be changed from the interface. A complete list of available modules is described in this help file.


Using Desktop Pizazz

To start the program, simply double-click on the Desktop Pizazz icon in the program folder where you installed the software. The program's interface will appear as shown below.

The interface consists of "pages" with a tab appearing above each page that identifies the page. To view another page, simply click on the tab. The page above is the "About" page, showing the program's logo and the version number.

From any page you can close the interface by pressing the "OK" or "Cancel" buttons. This does not actually stop Desktop Pizazz from displaying content on your desktop, it merely closes the interface. It is suggested you close the interface when you are done making changes to the settings.

You can also minimize, or temporarily hide, the interface by pressing the minimize button [image] in the upper right corner of the interface. The interface will now be hidden, but it will still appear in the task bar on your Windows desktop. Clicking on the "Desktop Pizazz Properties" button in your task bar will redisplay the interface.

You can completely exit Desktop Pizazz by pressing the "Exit" button from the About page.

The tray

When Desktop Pizazz is running, an icon will appear in the tray area of your Windows task bar. This icon is the small black and white "Pizazz" symbol, as shown below just to the left of the time".

You can always double-click on this icon to bring up the Desktop Pizazz interface. You can also bring up a shortcut menu, shown below, by clicking on the icon with your right mouse button.

From this menu you can select "Properties..." to bring up the program interface. You can select "Disable" to temporarily turn off the functionality of the program while still leaving the module loaded and the program running. A check mark will appear next to "Disable" whenever the program is disabled. You can select "Exit" to completely exit Desktop Pizazz.


Loading Modules

One of the first things you will do after starting the program is to load a module. This will provide the content for your display. Click on the "Modules" tab to display the following page:

From this page you can specify which module you would like to load. The list will display all Desktop Pizazz modules that you have installed on your computer. Select the desired module from the list and press the "Load" button. The module will take a few moments to load.

Once a module is loaded, you will see new page tabs added to the right of the "Modules" tab. These pages are a part of the loaded module, and allow you to adjust settings specific to that module.

If an error occurs during the loading process, an error message will be displayed below the list of modules. Refer to the error codes topic to get more information on your specific error message.


Changing Options

To change general settings for Desktop Pizazz, click on the "Options" tab to display the following page:

From this page you can change various settings that apply to all Desktop Pizazz modules. These settings are described below.

Appearance

  • Hide desktop icons: Enable this if you wish to hide the shortcut icons on your desktop. Note that even if you can't see the icons, they're still there and can be clicked on (if you know where to click).
  • Double buffer icons: Enable this if you wish to "double buffer" the display of icons on the desktop. This feature can greatly reduce the amount of icon flickering while activity occurs beneath an icon.
  • Border: Enable this to limit the graphics to a region specified by the current graphics size, bordering the remainder of the desktop with the specified border color.
  • Border color: Borders appear when the module display is smaller than the desktop (and bordering is enabled). The box displays the current border color. Select the "Change..." button to change the color of the border around the desktop image.

Graphics size

Use this menu to select the size of the image to display on your desktop. Modules currently support three of the most common desktop screen sizes. When "Automatic" is selected, the module will display its imagery in the largest size that will fit on your current desktop. If you select a specific dimension, such as "640 x 480", then only the 640 x 480 image will be displayed on your desktop, even if your screen is larger than 640 x 480. This is useful if you desire a border around your image, giving you a place to arrange your desktop icons without interfering with the module's imagery. It's also useful if you desire smaller text and graphics on your desktop.

Note that if you specify a dimension larger than your current display, the module will display its imagery in the largest size that will fit on your current desktop.

Enabling

  • Enabled: By disabling this, you can turn off Desktop Pizazz's operations. Note that the module will remain loaded and the program will continue to run. Use this feature to temporarily disable any Desktop Pizazz module activity.
  • Disable on selected resolutions: When enabled, you can prevent Desktop Pizazz from running whenever any of the user-defined screen resolutions are active. Press the "Select..." button to bring up a dialog allowing you to specify screen resolutions that you do not want Desktop Pizazz to operate within.

    From the "Edit Disabled Screen Resolutions" dialog (shown above), you can add or delete screen resolutions in the displayed list. To add a new resolution, type in the width and height of the screen resolution using the appropriate edit boxes, then press the "Add" button. To remove a resolution, select the desired item from the list and press the "Delete" button. Press "OK" to close the dialog and save your changes. Press "Cancel" to close the dialog without saving your changes.

Automation

  • Load current module on start: By enabling this, the previously loaded (or current) module can automatically be loaded up whenever Desktop Pizazz starts.
  • Run Desktop Pizazz when computer first starts up: When enabled, Desktop Pizazz will automatically run whenever your computer starts up. When used in conjunction with the "Load current module on start" feature, you can have your favorite module load each time you start your computer.

After making any changes on the Options page, press the "Apply" button to make the changes take affect. Press the "OK" button to apply the changes and close the interface. Press the "Cancel" button to close the interface without applying any changes. Note that if you select another page tab before pressing "Apply", you will lose any changes you made on the page.


Known Limitations

While every effort has been made to make Desktop Pizazz as functional and compatible as possible, there are certain issues of which you should be aware.

  • Desktop Pizazz and the Active Desktop. Microsoft introduced the "Active Desktop" as a component of Windows 95 and Internet Explorer 4.0. This feature has also been incorporated into Windows 98. The "Active Desktop" is a feature which you can enable, allowing you to view content in windows that are a part of your background display. The content is supplied by companies and services over the internet. Desktop Pizazz does work with "Active Desktop" enabled, however it does not properly handle switching in and out of "Active Desktop". If you wish to use "Active Desktop" at the same time, it is suggested you do not turn it on or off while Desktop Pizazz is running.
  • Desktop Pizazz and the taskbar. The Windows task bar has a feature called "Auto Hide", which will hide the task bar when not in use. While Desktop Pizazz works with this feature enabled, it does not currently recognize when this feature is turned on. Therefore, it is recommended that you do not turn on "Auto Hide" while Desktop Pizazz is running. However, turning it off works fine.
  • Desktop Pizazz and other desktop shells. Windows is configured by default to use the "Explorer" interface, or shell, to manage the locations of windows and desktop icons. However, additional shells are available from third-party vendors to perform similar functionality. Desktop Pizazz has not been tested under any other shells, and is neither guaranteed nor likely to operate under anything other than "Explorer".
  • Color issues with 8-bit graphics. If your desktop only supports 256 colors, many of those colors will be used by the images displayed by a module. If you run a color-intensive program such as a game or a paint program, the colors will be reallocated to that program so that its appearance will be acceptable. In this case, Desktop Pizazz will not be able to use its own colors, and must therefore redraw its own image using whatever current colors are available, as dictated by your active program. This can sometimes produce a poor quality background image on your desktop. Once you close your active program, the original background colors will once again be available, and your desktop image should appear correct again. This behavior is identical to what happens when you have colorful wallpaper on your desktop. If this is problematic for you, it is suggested you switch to a 16-bit or 24-bit display.


Desktop Pizazz Modules

Introduction

Currently Available Modules


Introduction to Desktop Pizazz Modules

At the heart of Desktop Pizazz are its modules. Each module is a separate product that uses the Desktop Pizazz interface to access its functionality. Each module contains specific images and behavior that make each one unique, and typically represent a particular theme or concept. An example of a module could be an aquarium, where fish swim about and bubbles rise to the surface. Through the interface, you could modify settings for the aquarium, such as the number of fish, how often the bubbles appear, and perhaps the schedule for feeding the fish.

Resolutions

Since people view their desktops under different resolutions, or screen dimensions, Desktop Pizazz modules provide their graphics in some of the most common resolutions. Resolutions are referenced by their width and height. The typical resolutions are 640x480, 800x600, and 1024x768. If you use a resolution larger than the largest one provided by the module, the image will contain a border which extends to the full size of your desktop. You also have the option of "stretching" the module image to fit your desktop. Desktop Pizazz always attempts to load the largest graphics resolution that will fit on your current desktop.

Colors

In addition to screen resolutions described above, people also view their desktops under different bit-depths, or numbers of colors. Desktop Pizazz modules provide their graphics in both 8-bit (256) color and 24-bit (16 million) color. If your desktop display is only set to 8-bit color, you cannot view the 24-bit graphics. However, if your display supports greater than 8-bit color, you can view either the 8-bit or 24-bit graphics. Desktop Pizazz always attempts to load the graphics with the highest number of colors that are supported by your current desktop.


Currently Available Modules

As of the creation of this help file, Desktop Pizazz was being introduced to the public for the first time. Therefore, only one module was available. It is possible that by the time you are reading this, additional modules are available. You are encouraged to visit our web site at www.NatureBoySoftware.com to get information on the availability of additional modules.

  • Desktop Pizazz : Quotations

    This module answers the age old question "what is the meaning of life?", along with about another 10,000 other questions. Quotations presents thousands of famous (and not so famous) quotes from famous (and not so famous) people from all walks of life. If you're the type of person who likes those daily calendars filled with wisdom and humor, then this is for you.


Error Messages

The following list identifies the most common error messages and their meanings. If you receive an error message not listed here, contact Nature Boy Software for assistance.

  • Cannot install Windows hook! :
    Cannot find window "SysListView32"! :
    Cannot find window "SHELLDLL_DefView"! :
    Cannot find window "Progman"! :
    You are most likely not running the standard Windows Explorer shell. Desktop Pizazz will not operate with any shell other than Explorer.
  • Load module failed! Couldn't create module components. :
    Either a required module file has been corrupted or is missing. Try re-installing the program.
  • Load module failed! Incompatible version. :
    Your version of Desktop Pizazz is attempting to load an incompatible version of a module. Download the latest version of the module, which will also contain the latest version of Desktop Pizazz.
  • Load module failed! Couldn't obtain interface. :
    Cannot find DLL function... :
    The specified module has been corrupted or is invalid. Try re-installing the program
  • Load module failed! Couldn't load resource. :
    Cannot open module file... :
    The specified module could not be located. Ensure that the module still exists in the installed directory. If necessary, re-install the program.
  • Cannot open/create registration key "Software\NatureBoy\Desktop Pizazz" :
    There is a problem writing out information to the Windows registry. Try logging in to Windows as another user.
  • Cannot open machine registration key "Software\NatureBoy\Desktop Pizazz" :
    Desktop Pizazz was not properly installed. Try re-installing the program.


Contacting Nature Boy Software

For your convenience, Nature Boy Software can be contacted by any of the following means:

  • By Internet : http://www.NatureBoySoftware.com/contact.html
  • By Email : info@NatureBoySoftware.com
  • By Mail : Nature Boy Software, 9810 Tara Court, Burke, VA 22015 USA
  • By Phone : (703) 425-5659 Monday - Friday, 9am - 6pm EST

We encourage your comments and suggestions regarding our products.